#include "Box.hpp"

const Vector& Box::getSize() const {
  static Vector ret;
  return ret.set(
    max.x - min.x,
    max.y - min.y,
    max.z - min.z
  );
}

const Vector& Box::getCenter() const {
  static Vector ret;
  ret = max;
  ret -= min;
  ret /= 2;
  ret += min;
  return ret;
}
